php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #61333 solr_get_version() returns wrong version string for version 1.0.2
Submitted: 2012-03-09 10:44 UTC Modified: 2014-06-23 12:08 UTC
Votes:3
Avg. Score:3.7 ± 0.5
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:0 (0.0%)
From: t dot ploch at reizwerk dot com Assigned: omars (profile)
Status: Wont fix Package: solr (PECL)
PHP Version: Irrelevant OS: Ubuntu Natty
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: t dot ploch at reizwerk dot com
New email:
PHP Version: OS:

 

 [2012-03-09 10:44 UTC] t dot ploch at reizwerk dot com
Description:
------------
When using solr_get_version() to get the current version, it returns '1.0.1' for 
version 1.0.2.

user@example.com:~$ php -v
PHP 5.3.5-1ubuntu7.7 with Suhosin-Patch (cli) (built: Feb 11 2012 06:42:47) 
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans

user@example.com:~$ pecl list
Installed packages, channel pecl.php.net:
=========================================
Package   Version State
solr      1.0.2   stable



Test script:
---------------
<?php

if (extension_loaded('solr')) {
    if ('1.0.2' !== solr_get_version()) {
        echo 'Wrong solr package version';
    } else {
        echo 'Correct solr package version';
    }
}



Expected result:
----------------
I expected the Verion string to be '1.0.2'

Actual result:
--------------
The actual result was '1.0.1'

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-05-07 14:20 UTC] eric dot caron at gmail dot com
This bug is because docs/documentation.php and php_solr_version.h were not updated for the 1.0.2 release (and are still wrong in SVN trunk.)
 [2012-09-26 14:09 UTC] asgentile at gmail dot com
I also just burned unnecessary time confirming that my 1.0.2 install was such because PHP_SOLR_DOTTED_VERSION "1.0.1" was not updated. :\
 [2012-09-26 18:53 UTC] eric dot caron at gmail dot com
The fork of this in my GitHub repo - https://github.com/ecaron/php-pecl-solr - has this fixed (and the multiple locations where the version was define has been widdled down to just one.)
 [2014-02-13 18:22 UTC] omars@php.net
-Status: Open +Status: Assigned -Assigned To: +Assigned To: omars
 [2014-06-23 12:08 UTC] omars@php.net
-Status: Assigned +Status: Wont fix
 [2014-06-23 12:08 UTC] omars@php.net
Unable to change a released version, You wont find such issue in the new releases
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Dec 07 10:03:34 2021 UTC